VisualEditor: Be able to specify a file name in the media or image dialog, even if search can't find the file
Closed, DeclinedPublic

Description

This might be something that could be associated with Bug 52463:

If Search can't find an image—which happens fairly often with images that the user just uploaded—then please let the user specify the file name anyway. Right now, if Search didn't happen to index your file yet, then you cannot add the image. "Try again tomorrow, because maybe the search index will have caught up by then" is not an ideal user experience.


Version: unspecified
Severity: enhancement

bzimport set Reference to bz66046.
Whatamidoing-WMF created this task.Via LegacyJun 2 2014, 7:38 PM
Elitre added a comment.Via ConduitSep 1 2014, 10:56 AM

Isn't this fixed?
Right now I can paste the file name of the pic I want while adding a media. It looks like the only way to currently get to the desired image, because the search seems to be even worse than I remembered (try looking for a "European robin" image on en.wp, give up in frustration, paste File:Erithacus rubecula with cocked head.jpg in the dialog to put the image on the page after you found it on Commons).

Jdforrester-WMF added a comment.Via ConduitSep 1 2014, 3:02 PM

(In reply to Elitre from comment #1)

Isn't this fixed?
Right now I can paste the file name of the pic I want while adding a media.
It looks like the only way to currently get to the desired image, because
the search seems to be even worse than I remembered (try looking for a
"European robin" image on en.wp, give up in frustration, paste
File:Erithacus rubecula with cocked head.jpg in the dialog to put the image
on the page after you found it on Commons).

Technically not done, but the search results generally work well enough.

Elitre added a comment.Via ConduitSep 3 2014, 9:46 AM

I disagree with your comment about search results working fine now. I added some findings to https://bugzilla.wikimedia.org/show_bug.cgi?id=62917#c1 .

Add Comment